<?
page_open(array("sess" => "enssat_Session", "auth" => "enssat_Challenge_Crypt_Auth", "perm" => "enssat_Perm", "user" => "enssat_User"));
include "headers.inc";
session_start();
$id_menu="14";
$id_sous_menu="14";

// Mta pour moteur de Recherche
$key_words="";
$title="";
$description="";
//------------------------------

require("site_cst.inc");
require("libMain.inc");

$id_menu="801";
$id_sous_menu="80181";

include "r2d2_functions.inc";
include "menu_top.inc";
?>

<?
affiche_titre("Sp&eacute;cification d&eacute;taill&eacute;e
de l'ASIC");
?>

<!-- ------------------------------------------------------------------------ -->
<p class="texte">


<center><b><font color="#000000"><font size=+3>"Lancer de rayons"</font></font></b></center>

<p><br>
<h1>
<a NAME="Heading1"></a><font color="#000000"><font size=+2>I Introduction</font></font></h1>
<font color="#000000">L'ASIC "Lancer de rayons" est destin&eacute; a acc&eacute;l&eacute;rer
l'algorithme de lancer de rayons pour la synth&egrave;se d'image. Il devra
s'interfacer avec un Transputer T800 qui lui communiquera les donn&eacute;es
n&eacute;cessaires aux calculs, puis lira les r&eacute;sultats. Son r&ocirc;le
principal sera de calculer une intersection entre une sph&egrave;re et
un rayon lanc&eacute;. Ses principales fonctions sont : interfa&ccedil;age
avec le T800, Unit&eacute; de Traitement (Multiplieur, Additionneur, Comparaison,
Racine Carr&eacute;e), et Unit&eacute; de Contr&ocirc;le d&eacute;di&eacute;e.
La p&eacute;riode d'horloge de fonctionnement ainsi que la contrainte de
temps sont &agrave; d&eacute;terminer.</font>
<h1>
<a NAME="Heading2"></a><font color="#000000"><font size=+2>II Environnement
du circuit</font></font></h1>

<center><table>
<tr>
<td ALIGN=CENTER>
<center><img SRC="<?=IMG_ARCHI?>/enseignements/Cao/LR/ASIC.GIF" height=237 width=300>&nbsp;&nbsp;
<p><font color="#000000">&nbsp;Fig 1. Vue ext&eacute;rieure de l'ASIC</font></center>
<font color="#000000">et Synoptique g&eacute;n&eacute;ral du circuit</font></td>

<td>
<center>&nbsp;&nbsp;<img SRC="<?=IMG_ARCHI?>/enseignements/Cao/LR/CARTE.GIF" height=237 width=350>
<p><font color="#000000">&nbsp;Fig 2. Environnement du circuit sur la carte</font></center>
</td>
</tr>
</table></center>

<h1>
<a NAME="Heading3"></a><font color="#000000"><font size=+2>III Organisation
g&eacute;n&eacute;rale du circuit</font></font></h1>

<menu>
<h2>
<a NAME="Heading4"></a><font color="#000000">Interfaces externes</font></h2>

<menu>
<ul>
<li>
<font color="#000000">Bus de donn&eacute;es bidirectionnel 32 bits (D0..D31)</font></li>

<li>
<font color="#000000">Bus d'adresse pour la s&eacute;lection des registres
internes 3 bits (A0..A2)</font></li>

<li>
<font color="#000000">Signal de contr&ocirc;le de s&eacute;lection de bo&icirc;tier
CS (actif bas)</font></li>

<li>
<font color="#000000">Signal de contr&ocirc;le de s&eacute;lection de sens
de transfert R/W (R/W = 1 lecture; R/W = 0 &eacute;criture)</font></li>

<li>
<font color="#000000">Signal d'horloge externe</font></li>

<li>
<font color="#000000">Signal de reset g&eacute;n&eacute;ral (actif bas)</font></li>
</ul>
</menu>
</menu>

<h1>
<a NAME="Heading6"></a><font color="#000000"><font size=+2>IV Fonctions
r&eacute;alis&eacute;es</font></font></h1>
<font color="#000000">Dans le chapitre VI, l'algorithme de lancer de rayon
&agrave; implanter sur l'ASIC est fourni.</font>
<br><font color="#000000">Cet algorithme contient 7 *, 12 +/-, 1 racine
carr&eacute;e, 1 calcul de minimum.</font>
<br><font color="#000000">Une &eacute;tude pr&eacute;cise de la fonction
de racine carr&eacute;e devra &ecirc;tre faite.</font>
<br><font color="#000000">Les donn&eacute;es externes sont cod&eacute;es
sur 8 bits (ou 12 bits). Le chemin de donn&eacute;es interne sera taill&eacute;
pour une minimisation de la surface de silicium sans toutefois d&eacute;passer
16 bits (ou 24 bits).</font>
<p><font color="#000000">La fonction de d&eacute;codage sera d&eacute;duite
du chapitre VI.</font>
<br><font color="#000000">Le bloc RF (Register file) devra m&eacute;moriser
les donn&eacute;es d'E/S &agrave; &eacute;changer avec l'ext&eacute;rieur.
Les autres donn&eacute;es interm&eacute;diaires de calculs seront int&eacute;gr&eacute;es
dans l'UT.</font>
<h1>
<a NAME="Heading7"></a><font color="#000000"><font size=+2>V Caract&eacute;ristiques
mat&eacute;rielles</font></font></h1>

<menu>
<h2>
<a NAME="Heading8"></a><font color="#000000">Interface physique</font></h2>

<menu>
<ul>
<li>
<font color="#000000">Packaging : PLCC 68</font></li>

<li>
<font color="#000000">Brochage : non encore d&eacute;fini</font></li>

<li>
<font color="#000000">Technologie des E/S : CMOS</font></li>
</ul>
</menu>

<h2>
<a NAME="Heading9"></a><font color="#000000">Chronogrammes et timings</font></h2>

<menu>
<ul>
<li>
<font color="#000000">Chronogramme de lecture/&eacute;criture de l'ASIC
&agrave; sp&eacute;cifier.</font></li>

<li>
<font color="#000000">Timing &agrave; respecter : les cycles de lecture/&eacute;criture
des donn&eacute;es se r&eacute;p&egrave;tent toutes les us.</font></li>
</ul>
</menu>
</menu>

<h1>
<a NAME="Heading11"></a><font color="#000000"><font size=+2>VI Interface
logicielle</font></font></h1>
<font color="#000000">4 registres internes 32 bits sont accessibles de
l'ext&eacute;rieur. Ils sont group&eacute;s par paquets de 8 bits selon
le principe suivant :</font>
<menu>&nbsp;
<table BORDER >
<tr>
<th><font color="#000000">Adresse Cot&eacute;&nbsp;</font>
<br><font color="#000000">Transputer&nbsp;</font></th>

<th><font color="#000000">Contenu&nbsp;</font>
<br><font color="#000000">(MSB..LSB)&nbsp;</font></th>

<th><font color="#000000">Taille r&eacute;elle&nbsp;</font></th>

<th><font color="#000000">Sens</font></th>
</tr>

<tr>
<th><font color="#000000">@2000&nbsp;</font></th>

<th><font color="#000000">Px,Py,Pz&nbsp;</font></th>

<th><font color="#000000">24 bits&nbsp;</font></th>

<th><font color="#000000">&Eacute;criture</font></th>
</tr>

<tr>
<th><font color="#000000">@2001&nbsp;</font></th>

<th><font color="#000000">Dx, Dy, Dz&nbsp;</font></th>

<th><font color="#000000">24 bits&nbsp;</font></th>

<th><font color="#000000">&Eacute;criture</font></th>
</tr>

<tr>
<th><font color="#000000">@2002&nbsp;</font></th>

<th><font color="#000000">Vx, Vy, Vz, r2</font></th>

<th><font color="#000000">32 bits&nbsp;</font></th>

<th><font color="#000000">&Eacute;criture</font></th>
</tr>

<tr>
<th><font color="#000000">@2003&nbsp;</font></th>

<th><font color="#000000">lambda&nbsp;</font></th>

<th><font color="#000000">16 bits&nbsp;</font></th>

<th><font color="#000000">Lecture</font></th>
</tr>
</table>
</menu>
<font color="#000000">Le coeur de la boucle du programme contenu dans le
processeur h&ocirc;te sera le suivant :</font>
<menu>
<pre><font color="#000000">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &Eacute;crire (0, 0, Pz, 0, 2000) ;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Pour tous les pixels
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Pour tous les objets
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &Eacute;crire (Dx, Dy, Dz, 0, 2001) ;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &Eacute;crire (Vx, Vy, Vz, r<sup>2</sup>, 2002) ;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Lire (lambda, 2003) ;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Fait
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Fait</font></pre>
</menu>
<font color="#000000">Remarques : Les lectures correspondent aux r&eacute;sultats
du calcul pr&eacute;c&eacute;dent.</font>
<br><font color="#000000">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
La deuxi&egrave;me &eacute;criture d&eacute;clenchera le d&eacute;part
de l'UC.</font>
<br>&nbsp;
<menu>&nbsp;
<center><table BORDER WIDTH="72%" >
<tr>
<th ALIGN=LEFT><font color="#000000"><font size=-1><a href="<?=PUB_ARCHI?>/enseignements/Cao/LR/LancerRayon.vhd"> ENTITY lancer_de_rayon  </a>
IS</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
PORT (Px,Py,Pz:IN INTEGER; -- Coordonnes de l'observation</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
Dx,Dy,Dz:IN INTEGER; -- Vecteur de rayon</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
Vx,Vy,Vz:IN INTEGER; -- Coordonnes du centre de la sphere</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
Rcarre:IN INTEGER; -- Carre du rayon de la sphere</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
lambda:OUT INTEGER ); -- Vecteur de direction calcul&eacute;&nbsp;</font></font>
<br><font color="#000000"><font size=-1>END lancer_de_rayon;</font></font>
<p><font color="#000000"><font size=-1>ARCHITECTURE behavioral OF lancer_de_rayon
IS</font></font>
<p><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
CONSTANT Tacces : TIME := 150 ns;</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
CONSTANT tmp : TIME := 3 * Tacces ;</font></font>
<br><font color="#000000"><font size=-1>BEGIN</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
PROCESS</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
VARIABLE X,Y,Z:integer;</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
VARIABLE B,C,Delta,RDelta:integer;&nbsp;</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
VARIABLE l1,l2:integer;&nbsp;</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
BEGIN</font></font>
<menu><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
X := 0 - Vx;</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
Y := 0 - Vy;</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
Z := Pz - Vz;</font></font>
<p><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
B := X * Dx + Y * Dy + Z * Dz;&nbsp;</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
C := X * X + Y * Y + Z * Z - Rcarre;</font></font>
<p><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
Delta := B * B - C;</font></font>
<p><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
RDelta := SQRINT(Delta);</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
l1 := 0 - RDelta - B;</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
l2 := RDelta - B;</font></font>
<br><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
lambda &lt;= MINIMUM(l1,l2);</font></font>
<p><font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
WAIT FOR tmp;</font></font></menu>
<font color="#000000"><font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
END PROCESS;</font></font>
<br><font color="#000000"><font size=-1>END behavioral ;</font></font></th>
</tr>
</table></center>
</menu>

<h1>
<a NAME="Heading11"></a><font color="#000000"><font size=+2>VII Conduite
de projet</font></font></h1>
<font color="#000000">Dans ce paragraphe, nous vous donnons quelques indications
concernant le d&eacute;roulement du projet.</font>
<menu>


<h2>
<a NAME="Heading8"></a><font color="#000000">Ce qui vous est fournis ...</font></h2>

<menu><font color="#000000">Un certain nombre de fichiers vous sont fournis.
Il s'agit des fichiers :</font>
<ul>
<li>
<font color="#000000">d'un package dfinissant les constantes, types et fonctions utilisables pour ce projet ;</font></li>

<li>
<font color="#000000">une bibliothque d'oprateurs (multiplieur, additionneur, additionneur/soustracteur, registre, etc)
permettant de construire l'unit de traitement ;
;</font></li>

<li>
<font color="#000000">un modle d'une machine d'tats ;</font></li>

<li>
<font color="#000000">la trame d'une entite de test.</font></li>
</ul>
</menu>

<h2>
<a NAME="Heading8"></a><font color="#000000">Planning et travail en &eacute;quipe</font></h2>

<menu><font color="#000000">Nous donnons ici le planning pr&eacute;visionnel
qu'il serait bon que vous suiviez afin de terminer dans les temps ce projet.</font>
<p>


<font color="#000000">&nbsp;Le projet se d&eacute;roule en &eacute;quipe
de 3 bin&ocirc;mes. Le d&eacute;coupage du travail sera r&eacute;alis&eacute;
de la fa&ccedil;on suivante :</font>
<ul>
<li>
<font color="#000000">r&eacute;alisation de l'unit&eacute; de traitement
(dont le composant racine et le format de codage). Il s'agit ici de raliser une uniot de
traitement de facon structurelle (spcification du schma de l'unit de traitement) ;</font></li>

<li>
<font color="#000000">r&eacute;alisation de l'unit&eacute; de contr&ocirc;le. Cette unit sera ralise selon
le modle compos de 2 logiques combinatoire et d'un registre d'tats. On veillera a respecter strupuleusement 
ce modle afin d'aboutir  une synthse correcte ;</font></li>

<li>
<font color="#000000">r&eacute;alisation de l'interface. Cette interface sera ralise  partir 
d'un assemblage de registres que l'on pilotera  partir d'un dcodeur ;</font></li>
</ul>
</menu>
</menu>

<menu>
<menu>&nbsp;
<table BORDER WIDTH="80%" >

<tr>

<th ALIGN=LEFT VALIGN=CENTER><font size=-1></font></th>



<th><font size=-1></font></th>



<th ALIGN=LEFT><font color="#000000"><font size=-1>TP</font></font></th>



<th ALIGN=LEFT><font color="#000000"><font size=-1>S&eacute;ance 1&nbsp;</font></font></th>



<th ALIGN=LEFT><font color="#000000"><font size=-1>S&eacute;ance 2&nbsp;</font></font></th>



<th ALIGN=LEFT><font color="#000000"><font size=-1>S&eacute;ance 3&nbsp;</font></font></th>



<th ALIGN=LEFT><font color="#000000"><font size=-1>S&eacute;ance 4&nbsp;</font></font></th>



<th ALIGN=LEFT><font color="#000000"><font size=-1>S&eacute;ance 5&nbsp;</font></font></th>



<th ALIGN=LEFT><font color="#000000"><font size=-1>S&eacute;ance 6</font></font></th>



<td><b><font color="#000000"><font size=-1>S&eacute;ance 7</font></font></b></td>

</tr>



<tr>

<th ALIGN=LEFT><font color="#000000"><font size=-1>T&acirc;che 1</font></font></th>



<th ALIGN=LEFT><font color="#000000"><font size=-1>Tutorial, prise en main

Synopsys </font></font></th>



<th BGCOLOR=green><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>







</tr>



<tr>

<th ALIGN=LEFT><font color="#000000"><font size=-1>T&acirc;che 2</font></font></th>



<th ALIGN=LEFT><font color="#000000"><font size=-1> TD sur machine 

</font></font>

<br><font color="#000000"><font size=-1></th>



<th BGCOLOR=green><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th ><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>


<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>





</tr>





<tr>

<th ALIGN=LEFT><font color="#000000"><font size=-1>T&acirc;che 3</font></font></th>



<th ALIGN=LEFT><font color="#000000"><font size=-1>Description comportementale de l'ASIC<BR>
Description du TestBench</font></font>

</th>

<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th BGCOLOR=blue><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th BGCOLOR=blue><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th ><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>


<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>





</tr>


<tr>

<th ALIGN=LEFT><font color="#000000"><font size=-1>T&acirc;che 4</font></font></th>



<th ALIGN=LEFT><font color="#000000"><font size=-1> Rpartition des taches dans l'quipe

</font></font>

<br><font color="#000000"><font size=-1></th>



<th ><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th ><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th  BGCOLOR=red><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>



<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>


<th><font color="#000000"><font size=-1>&nbsp;</font></font></th>





</tr>






<tr>

<th ALIGN=LEFT><font color="#000000"><font size=-1>T&acirc;che 5</font></font></th>



<th ALIGN=LEFT><font color="#000000" size=-1>Synth&egrave;se de chaque partie de facon indpendante</font></th>



<th><font color="#000000">&nbsp;</font></th>



<th><font color="#000000">&nbsp;</font></th>



<th><font color="#000000">&nbsp;</font></th>



<th  BGCOLOR=blue><font color="#000000">&nbsp;</font></th>



<th BGCOLOR=blue><font color="#000000">&nbsp;</font></th>



<th BGCOLOR=blue><font color="#000000">&nbsp;</font></th>



<th  BGCOLOR=blue><font color="#000000">&nbsp;</font></th>


<th ><font color="#000000">&nbsp;</font></th>




</tr>



<tr>

<th ALIGN=LEFT><font color="#000000"><font size=-1>T&acirc;che 6</font></font></th>



<th ALIGN=LEFT><font color="#000000" size=-1>Mise en commun et synthese globale </font></th>



<th><font color="#000000">&nbsp;</font></th>



<th><font color="#000000">&nbsp;</font></th>



<th><font color="#000000">&nbsp;</font></th>



<th><font color="#000000">&nbsp;</font></th>



<th ><font color="#000000">&nbsp;</font></th>



<th ><font color="#000000">&nbsp;</font></th>



<th  BGCOLOR=yellow><font color="#000000">&nbsp;</font></th>


<th BGCOLOR=yellow><font color="#000000">&nbsp;</font></th>



</tr>

</table>

</menu>
</menu>

<center><font color="#000000">Tab 1 : Plannification du projet lancer de
rayons</font></center>

<menu>
<menu><font color="#000000">Commentaires sur le planning :</font>
<ul>
<li>
<font color="#000000">La t&acirc;che 3 est tr&egrave;s importante,
elle vous permettra de bien comprendre le foncionnement global du ciruit,
et vous permettra d'avancer plus vite lors du dveloppement de votre partie. De plus,
cette tache vous permettra de vous familiariser avec le langage VHDL.</font></li>

<li>
<font color="#000000">La t&acirc;che 4 ne doit pas tre prise  la lgre. 
De la dcomposition du travail de chaque binome dans l'quipe dcoulera 
la cohrence globale du projet et du bon fonctionnement final.

Cette partie doit notamment permettre de spcifier clairement l'ensemble des interfaces
entre les diffrentes units du circuit.</font></li>

<li>
<font color="#000000">Enfin la t&acirc;che6  sera pr&eacute;c&eacute;d&eacute;e
par une diffusion du travail de chaque bin&ocirc;me vers l'&eacute;quipe.
Chaque bin&ocirc;me s'attachera ensuite &agrave; r&eacute;aliser la simulation
et la synth&egrave;se du syst&egrave;me.</font></li>
</ul>
</menu>

<h2>
<a NAME="Heading8"></a><font color="#000000">Notation</font></h2>

<menu><font color="#000000">Les points qui seront pris en compte pour la
notation du projet sont les suivants :</font>
<ul>
<li>
<font color="#000000">attitude en projet : 4 pts ;</font></li>

<li>
<font color="#000000">rapport, description du projet, pr&eacute;sentation
du travail : 5 pts ;</font></li>

<li>
<font color="#000000">sp&eacute;cifications VHDL coh&eacute;rentes : 6
pts ;</font></li>

<li>
<font color="#000000">simulations : 3 pts ;</font></li>

<li>
<font color="#000000">surfaces, timing, netlist : 2 pts.</font></li>
</ul>
</menu>
</menu>



<!-- ------------------------------------------------------------------------ -->

<?
include "menu_bottom.inc";
page_close();
?>

